summaryrefslogtreecommitdiffstats
path: root/scripts/build.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2017-08-26 15:12:43 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2017-08-26 15:12:43 -0700
commitc465ec586c04b524c22e30965441698f91b54656 (patch)
tree550880b6593deb50ce3842d1cc14254bb63281e5 /scripts/build.sh
parent2d405a1ebb431de16f94d19b9a7db86e4be3e788 (diff)
downloadsubsurface-c465ec586c04b524c22e30965441698f91b54656.tar.gz
On Fedora, qmake is qmake-qt5
Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/build.sh')
-rwxr-xr-xscripts/build.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index d1f7b1fad..cf58b659a 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -136,7 +136,9 @@ echo Building in $SRC, installing in $INSTALL_ROOT
if [ ! -z $CMAKE_PREFIX_PATH ] ; then
QMAKE=$CMAKE_PREFIX_PATH/../../bin/qmake
else
- QMAKE=qmake
+ hash qmake > /dev/null && QMAKE=qmake
+ [ -z $QMAKE ] && hash qmake-qt5 > /dev/null && QMAKE=qmake-qt5
+ [ -z $QMAKE ] && echo "cannot find qmake" && exit 1
fi
# on Debian and Ubuntu based systems, the private QtLocation and